- entityDefinitions:
  - IDM_Product__get__Product_Style: '{6a77bfc6-20f0-4af4-8d5b-9f511927c745}'
  - IDMB_Product__get__Product_Style: '{ae12de5f-8202-4558-82a6-02f2eb65cfee}'

  - IDI_WorkSet_ProductStyleSingular: '{e54f8108-8d95-44ef-abd3-875da45e9511}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ProductStyleSingular;'
    name: 'Product Style [Singular]'
    singular: yes

  - getReferencedInstanceSetMethod: '&IDM_Product__get__Product_Style;'
    forClassId: '&IDC_Product;'
    returnsWorkSetId: '&IDI_WorkSet_ProductStyleSingular;'
    verb: 'get'
    name: 'Product Style'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_Product;'
    answerInstanceSet: '&IDR_Product__has__Product_Style;'
    singular: yes
    
  - returnInstanceSetMethodBinding: '&IDMB_Product__get__Product_Style;'
    executesMethod: '&IDM_Product__get__Product_Style;'